@import './base.css';

.wrapper {
    width: 70%;
    margin: 0 auto;
}

.datatable {
    margin: 0 auto;
    font-family: Arial, sans-serif;
    border-collapse: collapse;
    width: 100%;
    max-width: 800px;
    background-color: #fff;
    border: 1px solid #ddd;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    border-radius: 4px;
    overflow: hidden;
    table-layout: fixed;
    padding-bottom: 20px;
}
.datatable thead {
    background-color: #f2f2f2;
    font-weight: bold;
}

.datatable th,
.datatable td {
    text-align: left;
    padding: 12px;
}

.datatable table {
    width:100%;
}
.datatable th {
    border-bottom: 1px solid #ddd;
}

.datatable tbody tr:nth-of-type(even) {
    background-color: #f9f9f9;
}

.datatable tbody tr:hover {
    background-color: #f5f5f5;
}

.pagination {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

.pagination button {
    background-color: #007bff;
    border: none;
    color: white;
    padding: 12px 16px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border-radius: 4px;
    cursor: pointer;
    margin-right: 0;
}

.pagination span {
    margin: 0 10px;
}
.pagination button:hover {
    background-color: #0069d9;
}

.pagination button:disabled {
    opacity: 0.5;
    cursor: default;
}

.filter {
    display: flex;
    justify-content: center;
    padding-top: 25px;
    padding-left: 15px;
    align-items: end;
    margin-bottom: 20px;
}

.filter .field {
    flex-basis: calc(33.33% - 10px);
    margin-bottom: 10px;
    margin-right: 10px;
}

.filter .field:last-child {
    margin-right: 0;
}

.filter label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

.filter input[type='text'],
.filter select {
    padding: 5px;
    border: 1px solid #ddd;
    border-radius: 4px;
    width: 100%;
}

.filter button.submit {
    background-color: #007bff;
    border: none;
    color: white;
    padding: 10px 16px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border-radius: 4px;
    cursor: pointer;
}

.filter button.submit:hover {
    background-color: #0069d9;
}
